commit:     18bad13152fd8d18f6a475bb89c9725a69150c9b
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 20:47:06 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 20:47:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18bad131

dev-perl/Email-Address-XS: Bump to version 1.40.0

- EAPI7
- Fix LICENSE
- Ensure CFLAGS passed to make/compiler

Upstream:
- add support for parsing and generating addresses with nul character
- fix compose_address when both user and host contain non-ASCII 8bit
  characters
- Fix possible memory leak in dovecot parser
- Update dovecot parser from dovecot version 2.3.0.1
- Fix reading from unititialized memory when formatting invalid
  addresses without user or host part
- Fix formatting email addresses when user starts with nul byte
- Prefer returning empty string from format functions instead of
  generating invalid email addresses.
- Fix dovecot parser to disallow leading dot in dot-atom
- Fix generating/validating email addresses with empty user part
- Fix generating/validating email addresses with leading/trailing dot in
  user part.
- try to parse invalid email addresses and mark them as invalid
- Don't escape apostrophe's in generated email addresses.
- Fix formatting email addresses which contain NUL, TAB, LF or CR
- Fix formatting comments which contain NUL bytes.

Security:
- nul character handling changes in parsing could be a vuln, depending
  on what is done with the result, esp if it doesn't error ( I haven't
  determined what it does yet )
- "Possible" memory leaks in dovecot parser fixed.
- Cribs some of dovcot parse code and may be subject to vulnerabilities
  in that file in previous versions
- Fixed uninitialized memory access in certain address combinations

Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 .../Email-Address-XS-1.40.0.ebuild                 | 33 ++++++++++++++++++++++
 dev-perl/Email-Address-XS/Manifest                 |  1 +
 2 files changed, 34 insertions(+)

diff --git a/dev-perl/Email-Address-XS/Email-Address-XS-1.40.0.ebuild 
b/dev-perl/Email-Address-XS/Email-Address-XS-1.40.0.ebuild
new file mode 100644
index 00000000000..ab5666eb7bd
--- /dev/null
+++ b/dev-perl/Email-Address-XS/Email-Address-XS-1.40.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=PALI
+DIST_VERSION=1.04
+inherit perl-module
+
+DESCRIPTION="Parse and format RFC 2822 email addresses and groups"
+LICENSE="|| ( Artistic GPL-1+ ) MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       virtual/perl-Carp
+       virtual/perl-Exporter
+       virtual/perl-XSLoader
+"
+BDEPEND="${RDEPEND}
+       virtual/perl-ExtUtils-MakeMaker
+       test? (
+               virtual/perl-Test-Simple
+       )
+"
+src_compile() {
+       mymake=(
+               "OPTIMIZE=${CFLAGS}"
+       )
+       perl-module_src_compile
+}

diff --git a/dev-perl/Email-Address-XS/Manifest 
b/dev-perl/Email-Address-XS/Manifest
index dfdbf84be29..45b5c9348d5 100644
--- a/dev-perl/Email-Address-XS/Manifest
+++ b/dev-perl/Email-Address-XS/Manifest
@@ -1 +1,2 @@
 DIST Email-Address-XS-1.01.tar.gz 26805 BLAKE2B 
657c9b33e2008ba35dbd46bde1fd11b90112f1d2afc422b2cb97c041067c5ac435e7662d8c083866b0e9efb98b94987bbe1a04d284c960a1fcd047cdc1badf36
 SHA512 
399d8365f2d9d642f482b5fcb4400cb66923f99938180ed1e68c3c7729d44eb53159889780ce6bb97857ab8ef3bc0c4f2dbe74ee453ab250e003761f66c28449
+DIST Email-Address-XS-1.04.tar.gz 29112 BLAKE2B 
8ad1ed264a1d568839864946a22063e6e591663bd8ae3d857e67ec187757a05c1a72d48125b154ce625cf32ad1abff7829aba746d68cfa30ec5244796c182acf
 SHA512 
2dda846f998cdc2112067b7a994e86162de765a0a23f2288cb8292f26b9ac07171452961389badb678d5568c7f4b0966d9dc97c1d91cd4be2b9767f0e615b1d8

Reply via email to